version: '3.8'
services:
  wit-blue:
    image: xian310/who-is-there:21
    ports:
      # on indique uniquement le port en écoute dans le conteneur
      # et pas un forwarding du genre "80:8080" car sinon le port 80
      # est monopolisé par le premier conteneur créé pour le service wit-blue
      - "8080"
    environment:
      - COLOR=lightblue

  nginx:
    image: nginx:1.21.3
    volumes:
      - ./nginx.conf:/etc/nginx/nginx.conf:ro
    ports:
      - "8000:80"

networks:
  default:
    driver: bridge
    name: wit-net
